Skip to main content
GET
/
api
/
v1
/
admin
/
kyc
List KYC reviews
curl --request GET \
  --url https://app.mlm-platform.com/api/v1/admin/kyc \
  --header 'x-tenant-api-key: <api-key>'
{ "reviews": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "user": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "<string>", "name": "<string>", "givenName": "<string>", "surname": "<string>", "registeredAt": "2023-11-07T05:31:56Z" }, "status": "<string>", "provider": "<string>", "documentCount": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "pagination": { "page": 123, "limit": 123, "total": 123, "totalPages": 123, "hasNext": true, "hasPrev": true } }

Authorizations

x-tenant-api-key
string
header
required

Tenant API key for authentication. Keys are scoped to specific environments (LIVE or SANDBOX). Obtain keys from the admin dashboard.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
status
enum<string>
Available options:
PENDING,
APPROVED,
REJECTED

Response

KYC reviews

reviews
object[]
pagination
object